Skip to content

Lay out a page with a template

POST
/cms/print/v2/subpages/{id}/template
curl --request POST \
--url https://api.example.com/cms/print/v2/subpages/1/template \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--header 'Token-User: <Token-User>' \
--data '{ "templateId": 1, "baseRevision": 1 }'

Stores the template’s file as the page’s next layout revision (the page must be checked out by this client and still be at baseRevision). The extension reopens the page and fills it.

id
required
integer
Media typeapplication/json
object
templateId
required
integer
baseRevision
required
integer

Example generated

{
"templateId": 1,
"baseRevision": 1
}

The new layout revision

Not checked out, or saved since